<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
$fi="";
if (isset($_GET['fi']) && (trim($_GET['fi'])<>""))
	$fi=intval(strip_tags(trim($_GET['fi'])));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Liste Tâches</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php
include_once("../inc/entete.inc.php");
if (@$_SESSION["niv_log"] >= 5)
	echo '<p align="center"><span class="titrepage">LISTE DES TACHES</span></p>';
else
	echo '<p align="center"><span class="titrepage">VOS TACHES</span></p>';

$fic_imp = "tac_lsti.php";
$url_add = "tac_maj.php?td=add";
$tab_fi[]="Toutes les tâches";
$tab_fi[]="Tâches non closes";
$tab_fi[]="Tâches closes";
if ((@$_SESSION["niv_log"] == 9) OR (@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
{
	$tab_fi[]="Tâches rattachées à des interventions";
	$tab_fi[]="Tâches rattachées à des contrats de maintenance";
	$tab_fi[]="Tâches rattachées à des contrats de location";
	$tab_fi[]="Tâches rattachées à des dossiers de suivi";
	$tab_fi[]="Tâches rattachées à des relevés de parc";
}
if ((@$_SESSION["niv_log"] == 9) OR (@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 10) OR (@$_SESSION["niv_log"] == 11))
	$tab_fi[8]="Tâches rattachées à des bons de travail";
$tab_fi[9]="Tâches que vous avez ordonné";
if (@$_SESSION["niv_log"] == 9)
	$url_rss = $rep_appli."/rss/rss.php?log=".$admin_code."&pw=".md5($admin_mdp)."&trss=tac";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlsttac($niv_urgence);
switch (@$_SESSION["niv_log"])
{
	// Filtre pour les techniciens agences ou sous-traitants
	case 3 :
	case 11 :
		// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
		// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
		if ($fi<>"9") 
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE (".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND (".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			$rech .= " OR ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."')";
		}
		else
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
		}
		break;
	// Filtre pour les agences
	case 4 :
		// On construit la liste des techniciens actifs de l'agence
		$tab_lst_tec=array();
		$rech2 = "SELECT tec_code FROM ".TBTEC." WHERE tec_codeage='".@$_SESSION["code_log"]."' AND tec_out=0";
		$rs2 = mysql_query($rech2) or die(mysql_error());
		while($row2 = mysql_fetch_array($rs2))
		{
			extract($row2);
			$tab_lst_tec[]=$tec_code;
		}

		// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
		// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
		if ($fi<>"9") 
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			// Une agence peut voir les tâches de ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
			}
			$rech.=")";
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			$rech .= " OR (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			// Une agence peut voir les tâches créées par ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
			}
			$rech.="))";
		}
		else
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";			
			// Une agence peut voir les tâches de ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codecrea='".$value."'";
			}
			$rech.=")";
		}
		break;
	// Filtre pour le centre de gestion
	case 5 :
		// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
		// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
		if ($fi<>"9") 
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE (".TBTAC.".tac_codedest<>'".$admin_code."'";
			else
				$rech .= " AND (".TBTAC.".tac_codedest<>'".$admin_code."'";
			$rech .= " OR ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."')";
		}
		else
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
		}
		break;
	// Filtre pour les sous-traitants
	case 10 :
		// On construit la liste des techniciens actifs du sous-traitant
		$tab_lst_tec=array();
		$rech2 = "SELECT tec_code FROM ".TBTEC." WHERE tec_codest='".@$_SESSION["code_log"]."' AND tec_out=0";
		$rs2 = mysql_query($rech2) or die(mysql_error());
		while($row2 = mysql_fetch_array($rs2))
		{
			extract($row2);
			$tab_lst_tec[]=$tec_code;
		}
	
		// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
		// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
		if ($fi<>"9") 
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
			// Une agence peut voir les tâches de ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
			}
			$rech.=")";
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			$rech .= " OR (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			// Une agence peut voir les tâches créées par ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
			}
			$rech.="))";
		}
		else
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";			
			// Une agence peut voir les tâches de ses techniciens
			foreach ($tab_lst_tec as $key=>$value)
			{
				$rech .= " OR ".TBTAC.".tac_codecrea='".$value."'";
			}
			$rech.=")";
		}
		break;
	// Filtre pour l'administrateur
	case 9 :
		// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
		if ($fi=="9") 
		{
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			else
				$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
		}
		break;
}

switch ($fi)
{
	case "1" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_datefin='0000-00-00'";
		else
			$rech .= " AND tac_datefin='0000-00-00'";
		break;
	case "2" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_datefin<>'0000-00-00'";
		else
			$rech .= " AND tac_datefin<>'0000-00-00'";
		break;
	case "3" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=1";
		else
			$rech .= " AND tac_typrat=1";
		break;
	case "4" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=2";
		else
			$rech .= " AND tac_typrat=2";
		break;
	case "5" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=3";
		else
			$rech .= " AND tac_typrat=3";
		break;
	case "6" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=4";
		else
			$rech .= " AND tac_typrat=4";
		break;
	case "7" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=5";
		else
			$rech .= " AND tac_typrat=5";
		break;
	case "8" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE tac_typrat=6";
		else
			$rech .= " AND tac_typrat=6";
		break;
	default :
		break;
}
$rech .= crestr_triord($tac_titre_col,"tac_code",FALSE,$limit);

$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

if($numrows == 0)
	retpp();
else
{
	include_once("formr.inc.php"); 

	$rech = cree_strrechlsttac($niv_urgence);
	switch (@$_SESSION["niv_log"])
	{
		// Filtre pour les techniciens agences ou sous-traitants
		case 3 :
		case 11 :
			// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			if ($fi<>"9") 
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE (".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND (".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				$rech .= " OR ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."')";
			}
			else
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			}
			break;
		// Filtre pour les agences
		case 4 :
			// On construit la liste des techniciens actifs de l'agence
			$tab_lst_tec=array();
			$rech2 = "SELECT tec_code FROM ".TBTEC." WHERE tec_codeage='".@$_SESSION["code_log"]."' AND tec_out=0";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			while($row2 = mysql_fetch_array($rs2))
			{
				extract($row2);
				$tab_lst_tec[]=$tec_code;
			}
	
			// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			if ($fi<>"9") 
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				// Une agence peut voir les tâches de ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
				}
				$rech.=")";
				// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
				$rech .= " OR (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				// Une agence peut voir les tâches créées par ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
				}
				$rech.="))";
			}
			else
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";			
				// Une agence peut voir les tâches de ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codecrea='".$value."'";
				}
				$rech.=")";
			}
			break;
		// Filtre pour le centre de gestion
		case 5 :
			// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			if ($fi<>"9") 
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE (".TBTAC.".tac_codedest<>'".$admin_code."'";
				else
					$rech .= " AND (".TBTAC.".tac_codedest<>'".$admin_code."'";
				$rech .= " OR ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."')";
			}
			else
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			}
			break;
		// Filtre pour les sous-traitants
		case 10 :
			// On construit la liste des techniciens actifs du sous-traitant
			$tab_lst_tec=array();
			$rech2 = "SELECT tec_code FROM ".TBTEC." WHERE tec_codest='".@$_SESSION["code_log"]."' AND tec_out=0";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			while($row2 = mysql_fetch_array($rs2))
			{
				extract($row2);
				$tab_lst_tec[]=$tec_code;
			}
		
			// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
			// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
			if ($fi<>"9") 
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND ((".TBTAC.".tac_codedest='".@$_SESSION["code_log"]."'";
				// Une agence peut voir les tâches de ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
				}
				$rech.=")";
				// On autorise aussi les auteurs à voir les tâches qu'ils ont créé
				$rech .= " OR (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				// Une agence peut voir les tâches créées par ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codedest='".$value."'";
				}
				$rech.="))";
			}
			else
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND (".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";			
				// Une agence peut voir les tâches de ses techniciens
				foreach ($tab_lst_tec as $key=>$value)
				{
					$rech .= " OR ".TBTAC.".tac_codecrea='".$value."'";
				}
				$rech.=")";
			}
			break;
		// Filtre pour l'administrateur
		case 9 :
			// Si filtre N°9,  on ne prend pas en compte les tâche à faire, mais seulement celles ordonnées
			if ($fi=="9") 
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
				else
					$rech .= " AND ".TBTAC.".tac_codecrea='".@$_SESSION["code_log"]."'";
			}
			break;
	}
	
	switch ($fi)
	{
		case "1" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_datefin='0000-00-00'";
			else
				$rech .= " AND tac_datefin='0000-00-00'";
			break;
		case "2" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_datefin<>'0000-00-00'";
			else
				$rech .= " AND tac_datefin<>'0000-00-00'";
			break;
		case "3" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=1";
			else
				$rech .= " AND tac_typrat=1";
			break;
		case "4" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=2";
			else
				$rech .= " AND tac_typrat=2";
			break;
		case "5" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=3";
			else
				$rech .= " AND tac_typrat=3";
			break;
		case "6" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=4";
			else
				$rech .= " AND tac_typrat=4";
			break;
		case "7" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=5";
			else
				$rech .= " AND tac_typrat=5";
			break;
		case "8" :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE tac_typrat=6";
			else
				$rech .= " AND tac_typrat=6";
			break;
		default :
			break;
	}
	$rech .= crestr_triord($tac_titre_col,"tac_code",TRUE,$limit);

	$rs = mysql_query($rech) or die(mysql_error());

	// *** Pagination de pied
	pagine_lst($numrows,$limit);

	// *** Affichage de la table
	 echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst($tac_titre_col);
	echo "<th>".ucfirst($txt_ent_lst_clic)."</th>\n";
		
	$i = 0;
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	 // Affichage résumé tâche

		// Création de l'entête de ligne (TR)
		creetrlst($i);

		echo "<td>";
		echo $row["tac_code"];
		$rech2="SELECT * FROM ".TBTACC." WHERE `tacc_code`='".$row["tac_codetacc"]."'";
		$rs2 = mysql_query($rech2) or die(mysql_error());
		if ($row2 = mysql_fetch_array($rs2))
		{
			$txttacc = $alt_typtac." : ".$row2["tacc_desc"]." (".$row2["tacc_code"].")";
			echo " <img src=\"".$row2["tacc_img"]."\" title=\"".$txttacc."\" height=\"16\" witdh=\"16\" border=\"0\" align=\"absmiddle\">";
		}
								
		// Détail de la tâche
		if (trim($row["tac_afaire"])<>"")
		{
			echo '<div style="margin-left:10px;">';
			echo '-- '.trim($row["tac_titre"]).' --';
			echo ' <a href="#" class="pop"><img src="../img/help.png" alt="R&eacute;sum&eacute;" border="0" align="absmiddle"><span>'.formatetxtbr(trim($row["tac_afaire"])).'</span></a>';
			echo '</div>';
		}
	
		// Icône si tâche terminée
		if (formatedate($row["tac_datefin"])<>"")
			echo " <img src=\"../img/ok.png\" title =\"Tâche termin&eacute;e\" border=\"0\">";
		// Auteur
		echo "<div align=\"right\" class=\"annot_petit_it\">";
		echo "Auteur : ";
		if (trim($row["tac_codecrea"])<>@$_SESSION["code_log"])
			echo $row["tac_codecrea"];
		else
			echo "vous-m&ecirc;me";
		echo "</div>";
		
		// Si rattachée
		if (trim($row["tac_coderat"])<>"")
		{
			echo "<div align=\"right\" class=\"annot_petit_it\">";
			echo "Rattach&eacute;e &agrave; ";
			switch ($row["tac_typrat"])
			{
				case 1 :
					echo "int. ";
					break;
				case 2 :
					echo "cont. maint. ";
					break;
				case 3 :
					echo "cont. loc. ";
					break;
				case 4 :
					echo "dossier ";
					break;
				case 5 :
					echo "relev&eacute; ";
					break;
				case 6 :
					echo "bon trav. ";
					break;
			}
			echo $row["tac_coderat"];
			echo "</div>";
		}
		echo "</td>\n";
		 echo "<td align=\"center\">";;
		echo formatedate($row["tac_datecrea"]);
		echo "</td>\n";
		 echo "<td align=\"center\">";;
		echo formatedate($row["tac_datefinp"]);
		// Icône si date de fin dépassée
		if (formatedate($row["tac_datefin"])=="")
		{
			if (echeance_depassee_date($datea,$row["tac_datefinp"]) == TRUE)
				echo " <img src=\"../img/warn.png\" title =\"".$alt_dtedep."\" border=\"0\">";
		}
		echo "</td>\n";

		// Affichage détail urgence
		 echo "<td align=\"center\">";;
		echo $niv_urgence[$row["tac_urg"]];
		echo "</td>\n";
		// Fin affichage détail urgence

		// Affichage destinataire
		 echo "<td align=\"center\">";;
		if ($row["tac_codedest"]=="CGE")
			echo "Centre de gestion";
		else
			echo $row["tac_codedest"];
		echo "</td>\n";
		// Fin affichage destinataire
		
		 // Affichage Icône Avancement
		 echo "<td align=\"center\">";;
		 echo "<img src=\"../img/2pour".$row["tac_avance"].".png\" title=\"".$row["tac_avance"]."%\" border=\"0\" align=\"absmiddle\">";
		 echo "</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		 echo "<td align=\"center\">";;

		$voir=FALSE;
		
		if (formatedate($row["tac_datefin"]) <> "")
			$voir=TRUE;

		if ($voir==FALSE)
		{
			$lst_maj = TRUE;
			echo "<a href=\"tac_maj.php?td=edit&ct=".$row["tac_code"]."\"><img src=\"../img/edit.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_edit."\"></a>";
			echo " ";
		}
		else
		{
			$lst_voir = TRUE;
			echo "<a href=\"tac_maj.php?td=view&ct=".$row["tac_code"]."\"><img src=\"../img/eye.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_voir."\"></a>";
			echo " ";
		}

		if (formatedate($row["tac_datefin"]) == "")
		{
			if  (($row["tac_codecrea"] == @$_SESSION["code_log"]) OR (@$_SESSION["niv_log"]==9))
			{
				$lst_del = TRUE;
				echo "<a href=\"tac_maj.php?td=del&ct=".$row["tac_code"]."\"><img src=\"../img/del.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_del."\"></a>";
				echo " ";
			}
		}
		else
		{
			if (@$_SESSION["niv_log"] == 9)
			{
				$lst_reopen = TRUE;
				echo " ";
				echo "<a href=\"javascript:;\" onclick=\"fen_tac_reopen('".$row["tac_code"]."');\")><img src=\"../img/reopen.png\" title=\"R&eacute;ouvrir\" border=\"0\" align=\"absmiddle\"></a>";
			}
		}
		 echo "</td>\n";

		 echo "</tr>\n";
	 // Fin affichage résumé Tâche
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
	
	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	$taille_piedla="";
	include_once("piedla.inc.php"); 
}

include_once("pied.php");
?>
